Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class JMSEpr

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.JMSEpr

    public class JMSEpr

extends EPR

A helper class for using JMS style EPRs. Simply create and use instances of this type.

Author:
  marklittle

Nested Class Summary
`static class` | `JMSEpr.AcknowledgeMode` Enum to type-safe JMS Client Acknowledgement mode string mappings to JMS Session's integers.

Field Summary
`static java.lang.String` | `ACKNOWLEDGE_MODE_TAG` JMS Client acknowledgment mode configuration tag
`static java.lang.String` | `CONNECTION_FACTORY_TAG`
`static java.lang.String` | `DEFAULT_REPLY_TO_DESTINATION_SUFFIX`
`static java.lang.String` | `DESTINATION_NAME_TAG`
`static java.lang.String` | `DESTINATION_TYPE_TAG`
`static java.lang.String` | `JMS_PROTOCOL`
`static java.lang.String` | `JMS_SECURITY_CREDENTIAL_TAG` JMS Destination password.
`static java.lang.String` | `JMS_SECURITY_PRINCIPAL_TAG` JMS Destination username.
`static java.lang.String` | `JNDI_CONTEXT_FACTORY_TAG`
`static java.lang.String` | `JNDI_PKG_PREFIX_TAG`
`static java.lang.String` | `JNDI_PREFIXES`
`static java.lang.String` | `JNDI_URL_TAG`
`static java.lang.String` | `MESSAGE_SELECTOR_TAG`
`static java.lang.String` | `ONE_ONE_PROTOCOL`
`static java.lang.String` | `ONE_ZERO_TWO_PROTOCOL`
`static java.lang.String` | `PERSISTENT_TAG`
`static java.lang.String` | `PROTOCOL_SEPARATOR`
`static java.lang.String` | `QUEUE_TYPE`
`static java.lang.String` | `SPECIFICATION_VERSION_TAG`
`static java.lang.String` | `TOPIC_TYPE`
`static java.lang.String` | `TRANSACTED_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`JMSEpr(EPR epr)`
`JMSEpr(EPR epr, org.w3c.dom.Element header)`
`JMSEpr(java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection)` Create a new JMS EPR.
`JMSEpr(java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector, boolean peristent)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector, boolean peristent, boolean transacted)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector, boolean peristent, java.lang.String acknowledgeModeStr)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector, boolean peristent, java.lang.String acknowledgeModeStr, boolean transacted)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector, boolean peristent, java.lang.String acknowledgeModeStr, java.lang.String username, java.lang.String password)` Create a new JMS EPR.
`JMSEpr(java.lang.String protocol, java.lang.String destinationType, java.lang.String destinationName, java.lang.String connection, java.util.Properties environment, java.lang.String messageSelector, boolean peristent, java.lang.String acknowledgeModeStr, java.lang.String username, java.lang.String password, boolean transacted)` Create a new JMS EPR.

Method Summary
`EPR` | `copy()` Return a copy of this EPR.
`int` | `getAcknowledgeMode()`
`java.lang.String` | `getConnectionFactory()`
`java.lang.String` | `getDestinationName()`
`java.lang.String` | `getDestinationType()`
`java.lang.String` | `getJMSSecurityCredential()` The JMS Security credential which is indended to be used as the password argument to: `ConnectionFactory`.createConnection(String username, String password) }
`java.lang.String` | `getJMSSecurityPrincipal()` The JMS Security principal which is indended to be used as the username argument to: `ConnectionFactory`.createConnection(String username, String password) }
`java.util.Properties` | `getJndiEnvironment()`
`static java.lang.String[]` | `getJndiPrefixes(java.lang.String jndiPrefixesValue)` Get the list of JNDI extension prefixes.
`java.lang.String` | `getMessageSelector()`
`boolean` | `getPersistent()`
`boolean` | `getTransacted()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `toString()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getAddr, getURI, setAddr, setURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JMS_PROTOCOL

    public static final java.lang.String JMS_PROTOCOL

See Also:
  Constant Field Values

### PROTOCOL_SEPARATOR

    public static final java.lang.String PROTOCOL_SEPARATOR

See Also:
  Constant Field Values

### ONE_ONE_PROTOCOL

    public static final java.lang.String ONE_ONE_PROTOCOL

See Also:
  Constant Field Values

### ONE_ZERO_TWO_PROTOCOL

    public static final java.lang.String ONE_ZERO_TWO_PROTOCOL

See Also:
  Constant Field Values

### SPECIFICATION_VERSION_TAG

    public static final java.lang.String SPECIFICATION_VERSION_TAG

See Also:
  Constant Field Values

### DESTINATION_TYPE_TAG

    public static final java.lang.String DESTINATION_TYPE_TAG

See Also:
  Constant Field Values

### DESTINATION_NAME_TAG

    public static final java.lang.String DESTINATION_NAME_TAG

See Also:
  Constant Field Values

### CONNECTION_FACTORY_TAG

    public static final java.lang.String CONNECTION_FACTORY_TAG

See Also:
  Constant Field Values

### JNDI_PKG_PREFIX_TAG

    public static final java.lang.String JNDI_PKG_PREFIX_TAG

See Also:
  Constant Field Values

### JNDI_URL_TAG

    public static final java.lang.String JNDI_URL_TAG

See Also:
  Constant Field Values

### JNDI_CONTEXT_FACTORY_TAG

    public static final java.lang.String JNDI_CONTEXT_FACTORY_TAG

See Also:
  Constant Field Values

### MESSAGE_SELECTOR_TAG

    public static final java.lang.String MESSAGE_SELECTOR_TAG

See Also:
  Constant Field Values

### QUEUE_TYPE

    public static final java.lang.String QUEUE_TYPE

See Also:
  Constant Field Values

### TOPIC_TYPE

    public static final java.lang.String TOPIC_TYPE

See Also:
  Constant Field Values

### DEFAULT_REPLY_TO_DESTINATION_SUFFIX

    public static final java.lang.String DEFAULT_REPLY_TO_DESTINATION_SUFFIX

See Also:
  Constant Field Values

### PERSISTENT_TAG

    public static final java.lang.String PERSISTENT_TAG

See Also:
  Constant Field Values

### TRANSACTED_TAG

    public static final java.lang.String TRANSACTED_TAG

See Also:
  Constant Field Values

### JNDI_PREFIXES

    public static final java.lang.String JNDI_PREFIXES

See Also:
  Constant Field Values

### ACKNOWLEDGE_MODE_TAG

    public static final java.lang.String ACKNOWLEDGE_MODE_TAG

  JMS Client acknowledgment mode configuration tag

  See Also:
    Constant Field Values

### JMS_SECURITY_PRINCIPAL_TAG

    public static final java.lang.String JMS_SECURITY_PRINCIPAL_TAG

  JMS Destination username. This is the username in the call to `ConnectionFactory.createConnection(String, String)`

  See Also:
    Constant Field Values

### JMS_SECURITY_CREDENTIAL_TAG

    public static final java.lang.String JMS_SECURITY_CREDENTIAL_TAG

  JMS Destination password. This is the password in the call to `ConnectionFactory.createConnection(String, String)`

  See Also:
    Constant Field Values

Constructor Detail

### JMSEpr

    public JMSEpr(EPR epr)

### JMSEpr

    public JMSEpr(EPR epr,
                  org.w3c.dom.Element header)

### JMSEpr

    public JMSEpr(java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection)

  Create a new JMS EPR. The protocol version is assumed to be 1.1. , jndi_type="", jndi_url="", messageSelector=null

  Parameters:
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.

### JMSEpr

    public JMSEpr(java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector)

  Create a new JMS EPR. The protocol version is assumed to be 1.1.

  Parameters:
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector,
                  boolean peristent)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.
    `peristent` - true if messages should be sent persistently

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector,
                  boolean peristent,
                  boolean transacted)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.
    `peristent` - true if messages should be sent persistently

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector,
                  boolean peristent,
                  java.lang.String acknowledgeModeStr,
                  boolean transacted)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.
    `peristent` - true if messages should be sent persistently
    `acknowledgeModeStr` - JMS client acknowledgement mode
    `transacted` - true if the jms session should be transaction aware

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector,
                  boolean peristent,
                  java.lang.String acknowledgeModeStr)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.
    `peristent` - true if messages should be sent persistently
    `acknowledgeModeStr` - JMS client acknowledgement mode

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector,
                  boolean peristent,
                  java.lang.String acknowledgeModeStr,
                  java.lang.String username,
                  java.lang.String password)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.
    `peristent` - true if messages should be sent persistently
    `acknowledgeModeStr` - JMS client acknowledgement mode
    `username` - username to use when creating JMS connections
    `password` - password to use when creating JMS connections

### JMSEpr

    public JMSEpr(java.lang.String protocol,
                  java.lang.String destinationType,
                  java.lang.String destinationName,
                  java.lang.String connection,
                  java.util.Properties environment,
                  java.lang.String messageSelector,
                  boolean peristent,
                  java.lang.String acknowledgeModeStr,
                  java.lang.String username,
                  java.lang.String password,
                  boolean transacted)

  Create a new JMS EPR.

  Parameters:
    `protocol` - the protocol version.
    `destinationType` - the type of destination (queue/topic).
    `destinationName` - name of the queue/topic.
    `connection` - reference to the connection factory.
    `environment` - reference to the jndi properties
    `messageSelector` - reference to the connection factory.
    `peristent` - true if messages should be sent persistently
    `acknowledgeModeStr` - JMS client acknowledgement mode
    `username` - JMS destination username
    `password` - JMS destination password
    `transacted` - true if the jms session should be transaction aware

Method Detail

### getDestinationType

    public final java.lang.String getDestinationType()

  Returns:
    the destination type used.

### getVersion

    public final java.lang.String getVersion()

  Returns:
    the specification version used.

### getDestinationName

    public final java.lang.String getDestinationName()

  Returns:
    the destination name used.

### getConnectionFactory

    public final java.lang.String getConnectionFactory()

  Returns:
    the connection factory for this EPR, or `null` if none is set.

### getJndiEnvironment

    public final java.util.Properties getJndiEnvironment()

  Returns:
    the jndi context factory for this EPR, or `null` if none is set.

### getJndiPrefixes

    public static java.lang.String[] getJndiPrefixes(java.lang.String jndiPrefixesValue)

  Get the list of JNDI extension prefixes.

  Parameters:
    `jndiPrefixesValue` - The JNDI prefix list or null if default.
  Returns:
    The list of JNDI extension prefixes.

### getMessageSelector

    public final java.lang.String getMessageSelector()

  Returns:
    the message selector for this EPR, or `null` if none is set.

### getPersistent

    public final boolean getPersistent()

  Returns:
    the delivery mode

### getAcknowledgeMode

    public final int getAcknowledgeMode()

  Returns:
    `int` JMS Acknowledge mode, one of:
    - `Session.AUTO_ACKNOWLEDGE`
    - `Session.CLIENT_ACKNOWLEDGE`
    - `Session.DUPS_OK_ACKNOWLEDGE`

### getJMSSecurityPrincipal

    public final java.lang.String getJMSSecurityPrincipal()

  The JMS Security principal which is indended to be used as the username argument to: `ConnectionFactory`.createConnection(String username, String password) }

  Returns:

### getJMSSecurityCredential

    public final java.lang.String getJMSSecurityCredential()

  The JMS Security credential which is indended to be used as the password argument to: `ConnectionFactory`.createConnection(String username, String password) }

  Returns:

### getTransacted

    public final boolean getTransacted()

  Returns:
    the delivery mode

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `EPR`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EPR`

### type

    public static final java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD